UDFU(4)

NAME
udfu - Device Firmware Upgrade (DFU) Attach

SYNOPSIS
udfu* at uhub?

DESCRIPTION
The udfu driver configures a DFU-compatible device such as the Openmoko telephone into DFU mode, then detaches it, permitting it to be attached for read/write access as a ugen(4) device to re-flash the memory.

Note that this interferes with using the umodem(4) interface to this device, which is sometimes needed for manual re-configuration. To enable the use of umodem(4), it is necessary to disable udfu, either permanently in the kernel configuration file or using boot_config(8).

SEE ALSO
ugen(4), uhub(4), usb(4), boot_config(8), config(8)

HISTORY
The udfu driver first appeared in OpenBSD 4.5.